/* Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.importer.common;

/**
 * Parser interface
 *
 * @author Matthias Schäfer
 *
 */
public interface ImportParser {

    /**
     * Parses a file and adds the parsed objects to the parsers state
     */
    void parse() throws Exception;

    /**
     * Stores the parsed objects in the database with reference to a river
     */
    void store();

}
